harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chris.g...@k-embedded-java.com
Subject [tools] Problem building apache-harmony-5.0-src-r946978
Date Sat, 26 Jun 2010 22:28:51 GMT
Hi all,

Trying to build from source (apache-harmony-5.0-src-r946978) results in
the following:
-really-download:
     [echo] Fetching depends/jars/xerces_2.9.1/xerces.zip
      [get] Getting:
http://www.apache.org/dist/xml/xerces-j/Xerces-J-bin.2.9.1.zip
      [get] To:
/home/chris/apache-harmony-5.0-src-r946978/classlib/depends/jars/xerces_2.9.1/xerces.zip
      [get] Error opening connection java.io.FileNotFoundException:
http://www.apache.org/dist/xerces/j/Xerces-J-bin.2.9.1.zip
      [get] Error opening connection java.io.FileNotFoundException:
http://www.apache.org/dist/xerces/j/Xerces-J-bin.2.9.1.zip
      [get] Error opening connection java.io.FileNotFoundException:
http://www.apache.org/dist/xerces/j/Xerces-J-bin.2.9.1.zip
      [get] Can't get
http://www.apache.org/dist/xml/xerces-j/Xerces-J-bin.2.9.1.zip to
/home/chris/apache-harmony-5.0-src-r946978/classlib/depends/jars/xerces_2.9.1/xerces.zip

I tried changing ´xerces-j´ to ´xerces/j´ in
classlib/make/depends.properties and
common_resources/make/depends.properties, but then it turns out that
http://www.apache.org/dist/xerces/j/ doesn´t contain 2.9.1 versions, only
2.10.0. Am I doing something wrong?

Platform: Ubuntu 9.04, procedure: download and unpack
apache-harmony-5.0-src-r946978-snapshot.tar.gz, cd into
apache-harmony-5.0-src-r946978/, type ´ant´, read friendly error message
and type ´ant fetch-depends´.

Regards

Chris




Mime
View raw message